return Def.ActorFrame {
	LoadFont("_title")..{
		OnCommand=cmd(x,SCREEN_LEFT+26;y,SCREEN_TOP+45;horizalign,left;settext,"CHOOSE A SONG");
	};
	LoadFont("_menus")..{
		OnCommand=cmd(x,SCREEN_RIGHT-(SCREEN_WIDTH/4)-85;y,SCREEN_TOP+72;horizalign,left;playcommand,"Set");
		SetCommand=function(self)
			self:settext("Stage: "..GAMESTATE:GetCurrentStageIndex() + 1);
		end;
		CurrentSongChangedMessageCommand=cmd(playcommand,"Set");
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
	};
	LoadActor("jacket")..{
		OnCommand=cmd(x,SCREEN_RIGHT-(SCREEN_WIDTH/4);y,SCREEN_TOP+(SCREEN_HEIGHT/4)+64);
	};
	LoadFont("_menus")..{
		OnCommand=cmd(x,SCREEN_RIGHT-(SCREEN_WIDTH/4)-30;y,(SCREEN_HEIGHT/2)+54;settext,"BPM:");
	};
	Def.BPMDisplay {
		File=THEME:GetPathF("BPMDisplay", "bpm");
		Name="BPMDisplay";
		InitCommand=cmd(x,SCREEN_RIGHT-(SCREEN_WIDTH/4)+30;y,(SCREEN_HEIGHT/2)+54;horizalign,right);
		SetCommand=function(self) self:SetFromGameState() end;
		CurrentSongChangedMessageCommand=cmd(playcommand,"Set");
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
	};
	LoadActor("difflist")..{
		OnCommand=cmd(x,SCREEN_RIGHT-(SCREEN_WIDTH/4)+8;y,SCREEN_BOTTOM-118);
	};
}